ar71xx: fix tl-wdr3320-v2 upgrade
author南浦月 <nanpuyue@gmail.com>
Thu, 19 Sep 2019 09:41:01 +0000 (17:41 +0800)
committerAdrian Schmutzler <freifunk@adrianschmutzler.de>
Tue, 12 Nov 2019 15:16:00 +0000 (16:16 +0100)
Fix the error that tl-wdr3320-v2 can't upgrade firmware via web
interface by using magic_ver="0200" for this device.

Signed-off-by: 南浦月 <nanpuyue@gmail.com>
[commit message facelift]
Signed-off-by: Adrian Schmutzler <freifunk@adrianschmutzler.de>
(cherry picked from commit 0ff2385a92c0a31769fce954b7bd571d6114dbc8)

target/linux/ar71xx/base-files/lib/upgrade/platform.sh

index 7467fb4..e2bd946 100755 (executable)
@@ -499,7 +499,7 @@ platform_check_image() {
                local magic_ver="0100"
 
                case "$board" in
-               tl-wdr6500-v2)
+               tl-wdr3320-v2|tl-wdr6500-v2)
                        magic_ver="0200"
                        ;;
                esac